<doxygen xmlns:xsi="http://www.w3.org/2001/XMLSchema-instance" version="1.8.15" xsi:noNamespaceSchemaLocation="compound.xsd">
  <compounddef id="structwiced__bt__sdp__discovery__attribute__value__t" kind="struct" language="C++" prot="public">
    <compoundname>wiced_bt_sdp_discovery_attribute_value_t</compoundname>
    <includes local="no">wiced_bt_sdp.h</includes>
      <sectiondef kind="public-attrib">
      <memberdef id="structwiced__bt__sdp__discovery__attribute__value__t_1ace0e0a04c815d89277cccf143c01b77c" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_sdp_discovery_attribute_value_t::u8</definition>
        <argsstring />
        <name>u8</name>
        <briefdescription>
<para>8-bit integer </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="99" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="99" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__value__t_1a4d57e1798e153600454a77872401f3d0" kind="variable" mutable="no" prot="public" static="no">
        <type>uint16_t</type>
        <definition>uint16_t wiced_bt_sdp_discovery_attribute_value_t::u16</definition>
        <argsstring />
        <name>u16</name>
        <briefdescription>
<para>16-bit integer </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="100" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="100" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__value__t_1a4539a63e674db9a7f8679e96899c8ff6" kind="variable" mutable="no" prot="public" static="no">
        <type>uint32_t</type>
        <definition>uint32_t wiced_bt_sdp_discovery_attribute_value_t::u32</definition>
        <argsstring />
        <name>u32</name>
        <briefdescription>
<para>32-bit integer </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="101" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="101" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__value__t_1af6a3f4b4c91e082726806b53552a07ab" kind="variable" mutable="no" prot="public" static="no">
        <type>uint8_t</type>
        <definition>uint8_t wiced_bt_sdp_discovery_attribute_value_t::array[4]</definition>
        <argsstring>[4]</argsstring>
        <name>array</name>
        <briefdescription>
<para>Variable length field. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="102" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="102" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__value__t_1a2f227b7c2507e15f733a6b84c2538e0e" kind="variable" mutable="no" prot="public" static="no">
        <type>struct t_sdp_discovery_attr *</type>
        <definition>struct t_sdp_discovery_attr* wiced_bt_sdp_discovery_attribute_value_t::p_sub_attr</definition>
        <argsstring />
        <name>p_sub_attr</name>
        <briefdescription>
<para>Addr of first sub-attr (list) </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location bodyend="-1" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="103" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="103" />
      </memberdef>
      <memberdef id="structwiced__bt__sdp__discovery__attribute__value__t_1a967cc8376ecfc594129bf41bf32ef278" kind="variable" mutable="no" prot="public" static="no">
        <type>union wiced_bt_sdp_discovery_attribute_value_t::@3</type>
        <definition>union wiced_bt_sdp_discovery_attribute_value_t::@3  wiced_bt_sdp_discovery_attribute_value_t::v</definition>
        <argsstring />
        <name>v</name>
        <briefdescription>
<para>Attribute value union. </para>
        </briefdescription>
        <detaileddescription>
        </detaileddescription>
        <inbodydescription>
        </inbodydescription>
        <location column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="104" />
      </memberdef>
      </sectiondef>
    <briefdescription>
<para>Attribute value. </para>
    </briefdescription>
    <detaileddescription>
    </detaileddescription>
    <location bodyend="105" bodyfile="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" bodystart="94" column="1" file="C:/r1/builds/45XoCijv/0/repo/btstack/wiced_include/wiced_bt_sdp.h" line="95" />
    <listofallmembers>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t_1af6a3f4b4c91e082726806b53552a07ab" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_value_t</scope><name>array</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t_1a2f227b7c2507e15f733a6b84c2538e0e" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_value_t</scope><name>p_sub_attr</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t_1a4d57e1798e153600454a77872401f3d0" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_value_t</scope><name>u16</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t_1a4539a63e674db9a7f8679e96899c8ff6" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_value_t</scope><name>u32</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t_1ace0e0a04c815d89277cccf143c01b77c" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_value_t</scope><name>u8</name></member>
      <member prot="public" refid="structwiced__bt__sdp__discovery__attribute__value__t_1a967cc8376ecfc594129bf41bf32ef278" virt="non-virtual"><scope>wiced_bt_sdp_discovery_attribute_value_t</scope><name>v</name></member>
    </listofallmembers>
  </compounddef>
</doxygen>